using System.Collections.Generic;

namespace InABox.Core
{
    public delegate void GenerateLookupsHandler(ILookupGenerator generator, List<LookupEntry> entries);

    public interface ILookupGenerator
    {
        event GenerateLookupsHandler OnBeforeGenerateLookups;
        CoreTable AsTable(string colname);
        event GenerateLookupsHandler OnAfterGenerateLookups;
    }
}